Bug 1474370 - nagios post scriptlet uses reload instead of restart
nagios post scriptlet uses reload instead of restart
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios (Show other bugs)
epel7
All All
unspecified Severity medium
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 09:18 EDT by Scott Bishop
Modified: 2017-08-18 10:51 EDT (History)
12 users (show)

See Also:
Fixed In Version: nagios-4.3.2-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-18 10:51:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Bishop 2017-07-24 09:18:55 EDT
Description of problem:

When the nagios package is upgraded, the postinstall scriptlet runs systemctl reload on nagios.service, but the nagios.service file does not have an ExecReload entry.

Version-Release number of selected component (if applicable):

nagios-4.3.2-5.el7.x86_64

How reproducible:

Run yum update nagios and update the nagios package.

Actual results:

An error is thrown during the update of the package.

Failed to reload nagios.service: Job type reload is not applicable for unit nagios.service.
See system logs and 'systemctl status nagios.service' for details.
warning: %post(nagios-4.3.2-5.el7.x86_64) scriptlet failed, exit status 3
Non-fatal POSTIN scriptlet failure in rpm package nagios-4.3.2-5.el7.x86_64

Expected results:

The service should be restarted without error on upgrade.
Comment 1 Stephen John Smoogen 2017-07-25 18:39:55 EDT
Mea culpa. I put in a patch to fix that and lost it somehow. I have done a new build which should show up in epel-testing soon
Comment 2 Fedora Update System 2017-07-26 19:17:13 EDT
nagios-4.3.2-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-289ebdb2bf
Comment 3 Fedora Update System 2017-08-18 10:51:26 EDT
nagios-4.3.2-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.